Today I upgraded my blog again to WP 2.3.2.  WordPress 2.3.2 is an urgent security release that fixes a bug that can be used to expose your draft posts. 2.3.2 also suppresses some error messages that can give away information about your database table structure and limits and stops some information leaks in the XML-RPC and APP implementations. While upgrading I used Maintenance Mode plugin, which I think is a great plugin if you are using latest version of WP as new build are keep coming and this plugin gives a neat spalsh screen showing that your blog is under maintainance.

As a little bonus, 2.3.2 allows you to define a custom DB error page. Place your custom template at wp-content/db-error.php. If WP has a problem connecting to your database, this page will displayed rather than the default error message.

For more detail on what’s new in 2.3.2, view the list of fixed bugs and see the changes between 2.3.1 and 2.3.2.

~Himanshu~

Advertisements